Bug 206049 - [NEW PORT] databases/postgis22: Geographic objects support for PostgreSQL databases
Summary: [NEW PORT] databases/postgis22: Geographic objects support for PostgreSQL dat...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on: 206046
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 22:04 UTC by Christoph Moench-Tegeder
Modified: 2016-06-05 16:23 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback? (harrison.grundy)


Attachments
patch against pristine databases/ to add postgis 2.2 (20.64 KB, patch)
2016-01-08 22:04 UTC, Christoph Moench-Tegeder
koobs: maintainer-approval? (harrison.grundy)
Details | Diff
poudriere testport log (18.85 KB, application/octet-stream)
2016-01-08 22:06 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-01-08 22:04:56 UTC
Created attachment 165283 [details]
patch against pristine databases/ to add postgis 2.2

As the documentation on how to submit new ports is rather outdated... here we go.

The PostGIS project released version 2.2 to support PostgreSQL 9.5 (PostGIS 2.1 does not work on PostgreSQL 9.5). A not-very-up-to-date chart is here:
http://trac.osgeo.org/postgis/wiki/UsersWikiPostgreSQLPostGIS

As I needed PostGIS on PostgreSQL 9.5 quickly, I used the 2.1 port as a base for the 2.2 port. I'm quite happy to give this port to the maintainer of the other PostGIS verions - unless he resists: there it is.
On the other hand, this port is blocked by bug #206046 - without the PGXS framework knowing about perl I couldn't get the packaging straight.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-01-08 22:06:24 UTC
Created attachment 165284 [details]
poudriere testport log
Comment 2 Christoph Moench-Tegeder freebsd_committer 2016-01-08 22:11:08 UTC
Note: the WWW site of the PostGIS project changed - the site at http://postgis.net is much more recent than the .org.
Comment 3 Harrison Grundy 2016-01-09 06:10:14 UTC
Greatly appreciated!

I'll take it and incorporate some changes I'm making to deal with the RASTER/Extensions thing and get it in. It also may be worth considering merging the many PostGIS port versions.

I'll also go ahead and update the website listed on the other ports.

Thanks again,

Harrison
Comment 4 david 2016-03-06 19:57:25 UTC
*bump*  I'd like this as well.  I have my own version that I was about to submit until I saw this!
Comment 5 Loïc Bartoletti freebsd_committer 2016-04-29 20:47:15 UTC
(In reply to Harrison Grundy from comment #3)


Are there plans to create a "meta" port like a databases/postgis pointing to the major postgis release (this for now: 2.2) ?

Maintaining databases/pgrouting, for now I have a dependency with postgis21 but in fact I need a dependency to postgis >= 21 and it will be better if I can use a RUN_DEPENDS to a single port (databases/postgis). 

Thanks.
Comment 6 commit-hook freebsd_committer 2016-06-05 16:22:47 UTC
A commit references this bug:

Author: pi
Date: Sun Jun  5 16:21:56 UTC 2016
New revision: 416395
URL: https://svnweb.freebsd.org/changeset/ports/416395

Log:
  New port: databases/postgis22

  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
  the PostgreSQL server, allowing it to be used as a backend spatial
  database for geographic information systems (GIS), much like ESRI's
  SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
  "Simple Features Specification for SQL" and has been certified as
  compliant with the "Types and Functions" profile.

  PostGIS development was started by Refractions Research as a project
  in open source spatial database technology. PostGIS is released
  under the GNU General Public License. PostGIS continues to be
  developed by a group of contributors led by a Project Steering
  Committee and new features continue to be added.

  WWW: http://postgis.net/

  PR:		206049, 208513
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>, <darcy@dbitech.ca>, Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	Harrison Grundy <harrison.grundy@astrodoggroup.com> (maintainer postgis21)

Changes:
  head/databases/Makefile
  head/databases/postgis20/Makefile
  head/databases/postgis21/Makefile
  head/databases/postgis22/
  head/databases/postgis22/Makefile
  head/databases/postgis22/distinfo
  head/databases/postgis22/pkg-descr
  head/databases/postgis22/pkg-install
  head/databases/postgis22/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2016-06-05 16:23:08 UTC
Committed with the version from PR#208513